imap_clearflag_full
imap_create
IMAP Functions
PHP Manual

# imap_close

(PHP 4, PHP 5, PHP 7)

imap_close — Close an IMAP stream

### Description

bool imap_close ( resource `$imap_stream` [, int `$flag` = 0 ] )

Closes the imap stream.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`flag`

  If set to `CL_EXPUNGE`, the function will silently expunge the mailbox before closing, removing all messages marked for deletion. You can achieve the same thing by using imap_expunge()

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- imap_open() - Open an IMAP stream to a mailbox

imap_clearflag_full
imap_create
IMAP Functions
PHP Manual